Package Release Info

mumble-1.3.0-bp152.1.21

Update Info: Base Release
Available in Package Hub : 15 SP2

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

mumble
mumble-64bit
mumble-server

Change Logs

Version: 1.2.19-9.1
* Fri Jul 12 2019 rpm@fthiessen.de
- Added patches to fix boo#1123334 (CVE-2018-20743), instability
  and crash due to crafted message flooding
  * added mumble-1.2.19-limit-amount-of-messages.patch (backported
    version of upstream patch)
  * added mumble-1.2.19-stricter-message-limit.patch (backported
    version of upstream patch)
* Wed Jan 03 2018 kwalter@suse.com
- Add 0001-AudioOutput-do-not-use-non-existant-template-version.patch
  to fix tumbleweed compilation
* Thu Jun 08 2017 alarrosa@suse.com
- Add initialize-soundfile-format.patch to initilalize a variable so
  it's not used later uninitialized.
* Wed Feb 01 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Sun Jan 29 2017 mailaender@opensuse.org
- update to 1.2.19:
  * Murmur?s -limits command will now print output as it runs, instead of at exit.
* Mon Dec 19 2016 dmueller@suse.com
- update to 1.2.18:
  - mostly non-Linux fixes
  - switch default compiler to use C++03
* Sun Sep 25 2016 mailaender@opensuse.org
- Update to version 1.2.17
  * Fixed a bug that could cause the Mumble log view to be
    inacessible after receiving a specially crafted text message.
  * The PulseAudio backend will now fall back to default device
    if the chosen device is no longer present.
  * Mumble now explicitly sends plain text notifications to KDE
    and Freedesktop.org notification endpoints.
  * Xbox button/controller names as shown by Mumble should now be
    correct for controllers other than the first controller.
- Add appdata.patch for https://en.opensuse.org/openSUSE:AppStore
* Fri May 13 2016 rpm@fthiessen.de
- Fixed build on 13.1 by only adding (/var)/run/mumble-server
  as temporary file only on newer openSUSE versions (> 1310)
* Fri May 06 2016 mailaender@opensuse.org
- mumble 1.2.16
  * Mumble will no longer try to poll for changes in XInput button
    state when no controllers are connected.
  * The last references (public server list registration and crash
    reporting) to the old domain name for the Mumble service host,
    ?mumble.hive.no?, have been changed to use ?mumble.info? instead.
  * The overlay blacklist from 1.3.0 snapshots has been backported.
- add (/var)/run/mumble-server as temporary file for proper cleanup
* Sun Mar 13 2016 astieger@suse.com
- mumble 1.2.15:
  * Add ability to disable the public server list
  * Add ability to create and/or edit Mumble?s server list
- includes changes from 1.2.14:
  * Fix regression crash on exit for in overlay feature
* Mon Jan 11 2016 astieger@suse.com
- mumble 1.2.13:
  * Fix Murmur DoS (Mumble-SA-2016-001), does not affect GNU/Linux
- update upstream signing keyring
* Mon Jan 04 2016 astieger@suse.com
- mumble 1.2.12:
  * The log would always scroll-to-bottom, even if manually
    scrolled up to view a previous message. Scroll-to-bottom is now
    only triggered if the log view has not manually scrolled by the
    user.
  * Fixed a bug where a stale overlay client could cause the Mumble
    UI to freeze under some circumstances.
  * Fixed a bug where CELT and Opus encoders were not properly
    reset when using more than one frame per packet in Mumble. This
    would previously cause noisy artifacts at the beginning of
    transmissions.
* Mon Dec 14 2015 rpm@fthiessen.de
- Removed unneeded patch for SLE10: mumble-1.1.4-sle10glx.diff
- Added patch from RandyBB (roman@priesol.net) to fix missing
  semicolons in desktop file: mumble-1.2.11-desktop_fix.diff
- Removed parts for outdated openSUSE versions, older then openSUSE
  12.2 or SLE 11, from spec file
* Mon Dec 14 2015 astieger@suse.com
- update to 1.2.11:
  * Fixed a bug where Mumble global shortcuts on X11 would not
    release properly when Chrome/Chromium was the frontmost application.
  * Fixed a bug where clients would automatically reconnect after
    being kicked.
  * Inserting an image in the chat should now always cause Mumble
    to scroll correctly to the bottom of the log.
  * Opening mumble:// URLs should now correctly allow people to
    change channels if a URL is opened while Mumble is running.
  * Fixed an issue where the ?shortcut/linux/evdev/enable? config
    option was not saved correctly, and overwritten when closing
    Mumble.
* Tue Oct 13 2015 astieger@suse.com
- update to 1.2.10:
  * no code change, other than to create another binary release
    for platforms other than GNU/Linux with updated libraries
* Thu Jun 18 2015 mailaender@opensuse.org
- update to 1.2.9 maintenance release
- remove redundant clean section
- add missing service_add_pre macro
- gpg key has changed
* Wed Mar 18 2015 rpm@fthiessen.de
- Added speech-dispatcher support for openSUSE (Text-To-Speech)
* Mon Mar 16 2015 dimstar@opensuse.org
- Add pkgconfig(speexdsp) BuildRequires: its presence is checked
  for by the build system.
Version: 1.2.19-bp150.3.3.1
* Fri Jul 12 2019 Ferdinand Thiessen <rpm@fthiessen.de>
- Added patches to fix boo#1123334 (CVE-2018-20743), instability
  and crash due to crafted message flooding
  * added mumble-1.2.19-limit-amount-of-messages.patch (backported
    version of upstream patch)
  * added mumble-1.2.19-stricter-message-limit.patch (backported
    version of upstream patch)
- Cleaned spec file, removed old EOL openSUSE and Fedora versions
Version: 1.2.19-bp151.4.1
* Wed May 29 2019 Ismail Dönmez <idonmez@suse.com>
- Add add-speechd-include-path.patch to fix speechd include paths
- Enable speechd everywhere now
Version: 1.2.19-bp151.6.6.1
* Wed Jun 05 2019 Ismail Dönmez <idonmez@suse.com>
- Add add-speechd-include-path.patch to fix speechd include paths
- Enable speechd everywhere now
* Sun Apr 14 2019 Christian Boltz <suse-beta@cboltz.de>
- update murmurd AppArmor profile
  - update bash path for usrMerge (boo#1132350)
  - use abstractions/openssl instead of a rule for openssl.cnf
* Fri Oct 19 2018 Marguerite Su <i@marguerite.su>
- build with -std=c++1z on TW since it applies -Wfatal-error that
  conflicts with -std=c++98
Version: 1.2.8-6.1
* Thu Feb 05 2015 lnussel@suse.de
- remove gpg-offline from BuildRequires, now done by source validator
  automatically
* Fri Nov 21 2014 lnussel@suse.de
- fix murmur-user-wrapper (bnc#906416)
* Sat Aug 09 2014 mailaender@opensuse.org
- update to 1.2.8
  + A PulseAudio issue that could cause the Mumble client
    to crash on launch has been fixed.
  + Various source-level issues that made the Mumble build
    fail when built with Clang has been fixed.
* Tue Jul 29 2014 mrueckert@suse.de
- fix build for older distros like SLE 11
  - disable xinput2 support on sle 11
  - add a new bcond for systemd and use that throughout the spec
    file for guarding systemd usage instead of spreading out the
    if suse_version conditional all over the place.
  - some systemd pieces were also done on none systemd distros.
    move those into the systemd blocks.
* Sat Jun 14 2014 mailaender@opensuse.org
- update to 1.2.7, minor bugfix
* Thu May 15 2014 lnussel@suse.de
- new bugfix release 1.2.6 fixes security issues (CVE-2014-3756,
  bnc#877971, CVE-2014-3755, bnc#877969)
* Wed Mar 26 2014 lnussel@suse.de
- enable rc link also for systemd
* Thu Feb 06 2014 lnussel@suse.de
- new version 1.2.5 fixes security issues (CVE-2014-0044, CVE-2014-0045,
  bnc#862527)
* Sat Jan 11 2014 adler_187@yahoo.com
- remove syslog.target, since it no longer exists in recent
  systemd versions (>202) and causes the service to fail to start
  (bnc#855478)
* Thu Aug 01 2013 lnussel@suse.de
- clean up old macros
* Thu Jun 06 2013 pascal.bleser@opensuse.org
- update to 1.2.4: http://mumble.sourceforge.net/1.2.4
  Obsoleted patches:
  0001-fix-build-error-with-capability.h.diff
  0001-fix-user-switching.diff
  0001-open-log-file-early-so-log-dir-can-be-root-owned.diff
  0001-if-service-name-is-empty-don-t-pass-an-empty-string.diff
  0001-remove-CAP_NET_ADMIN.diff
  0001-fix-bonjour-support-using-avahi-compat-lib.diff
  mumble-1.2.3-nohardcodedcas.diff
  0001-Explicitly-remove-file-permissions-for-settings-and-D.diff
- systemd service file
* Wed Nov 28 2012 sbrabec@suse.cz
- Verify GPG signature.
* Wed Nov 07 2012 opensuse@cboltz.de
- install apparmor profile without x permissions
* Wed Nov 07 2012 lnussel@suse.de
- require lsb-release (bnc#785659)
* Mon Jun 25 2012 lnussel@suse.de
- allow reading /etc/ssl/openssl.cnf in apparmor profile (bnc#768692)
- fix path to sed and grep due to usr move in 12.2
* Mon Feb 20 2012 lnussel@suse.de
- remove read permissions for other users on local sqlite database
  as it may contain passwords (bnc#747833, CVE-2012-0863)
* Mon Feb 13 2012 lnussel@suse.de
- don't add built-in CA certificates (bnc#660784)
* Wed Jul 06 2011 aj@suse.de
- Use /usr/lib/tmpfiles.d instead of /etc/tmpfiles.d.
* Sat Jun 11 2011 lnussel@suse.de
- install mumble in libdir and put a symlink in bindir to make
  loading libs from applicationDirPath work.
* Mon Apr 11 2011 lnussel@suse.de
- fix bonjour support
Version: 1.3.0-bp150.3.6.1
* Wed Nov 06 2019 opensuse@trummer.xyz
- set permissions of config file to 640 because it can contain passwords
* Wed Sep 11 2019 Christophe Giboudeaux <christophe@krop.fr>
- Really use the system speex and opus dependencies.
- Run spec-cleaner, use pkgconfig() style BuildRequires when possible.
- Fix the package requirements.
- Remove obsolete conditions and build options.
- Also recommend the Qt mysql and psql backend. Murmur also supports
  those drivers.
* Tue Sep 10 2019 Michal Suchanek <msuchanek@suse.de>
- Update to upstream version 1.3.0 final.
  Release notes at:
    https://www.mumble.info/blog/mumble-1.3.0-release-announcement/
- Use system speex and opus.
* Tue Sep 03 2019 Michal Suchanek <msuchanek@suse.de>
- Update to upstream version 1.3.0-rc2. Supports Qt5. (boo#1148406)
- Remove upstreamed patches:
  - 0001-AudioOutput-do-not-use-non-existant-template-version.patch
  - appdata.patch
  - initialize-soundfile-format.patch
  - mumble-1.2.2-buildcompare.diff
  - mumble-1.2.11-desktop_fix.diff
  - mumble-1.2.19-limit-amount-of-messages.patch
  - mumble-1.2.19-stricter-message-limit.patch
  - mumble-pr-3623-protobuf37.patch
- Refresh add-speechd-include-path.patch
* Wed Jun 26 2019 Dirk Mueller <dmueller@suse.com>
- add mumble-pr-3623-protobuf37.patch to fix build against protobuf 3.7